<?php
function theme_drupalcamp_solr_apachesolr_breadcrumb_cck($field) {
  return strtoupper($field['#value']);
}

function theme_drupalcamp_solr_apachesolr_breadcrumb_fs_uc_sell_price($field) {
  return t('Between !start untill !end', array('!start' => $field['#start'], '!end' => $field['#end']));
}


/**
 * Theme function for Search Results or No search results found.
 */
function theme_drupalcamp_solr_result_found($content = FALSE, $keys = NULL, $filters = NULL, $correction = NULL) {
  $output_keys = drupalcamp_get_search_keys_to_string($keys, $filters);
  if (!$content) {
        $theme_advice = '<h1>'.t('Drupalcamp search : ').' "'.$output_keys.'"</h1>';
        if($correction) {
          $theme_advice .= '<p>'.$correction.'</p>';
        }
        $theme_advice .= '<p></p>';

        $theme_advice .= $advice['content'];
  }
  else if (!empty($keys) && $content) {
    $theme_advice = '<h3>'.t('Drupalcamp search :').'</h3><h1">"'.$output_keys.'"</h1>';
    if($correction) {
      $theme_advice .= '<p>'.$correction.'</p>';
    }
    $theme_advice .= '<p"></p>';
    $theme_advice .= '<div class="custom">some custom functionality</div>';
  }


  return $theme_advice;
}


function theme_drupalcamp_apachesolr_facet_link($facet_text, $path, $options = array(), $count, $active = FALSE, $num_found = NULL) {
  $options['attributes']['class'][] = 'apachesolr-facet';
  if ($active) {
    $options['attributes']['class'][] = 'active';
  }
  $options['attributes']['class'] = implode(' ', $options['attributes']['class']);
  $link = apachesolr_l($facet_text,  $path, $options).' ('.$count.')';
  return $link;
}


function theme_drupalcamp_apachesolr_search_snippets($vars) {
  $result = '';
  $node = node_load($vars->nid);
  if (($node->type == 'player')) {
    $output =  'The price is €'.round($node->sell_price);
    $output .=  '<br/>Team: '.$node->field_team[0]['value'];
    return $output;
  } else {
    return $vars['snippets']['teaser'];
  }
}
